Package org.apache.sysds.parser.dml

# Enum Class CustomErrorListener.ParseIssueType

java.lang.Object
java.lang.Enum<CustomErrorListener.ParseIssueType>
org.apache.sysds.parser.dml.CustomErrorListener.ParseIssueType

All Implemented Interfaces:
  `Serializable`, `Comparable<CustomErrorListener.ParseIssueType>`, `Constable`

Enclosing class:
  CustomErrorListener

public static enum CustomErrorListener.ParseIssueType extends Enum<CustomErrorListener.ParseIssueType>
Parse issues can be syntax errors, validation errors, and validation warnings. Include a string representation of each enum value for display to the user.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SYNTAX_ERROR`
`VALIDATION_ERROR`
`VALIDATION_WARNING`

## Method Summary

Modifier and Type
Method
Description
`String`
`getText()`
Obtain the user-friendly string representation of the enum value.
`static CustomErrorListener.ParseIssueType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CustomErrorListener.ParseIssueType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SYNTAX_ERROR

public static final CustomErrorListener.ParseIssueType SYNTAX_ERROR

### VALIDATION_ERROR

public static final CustomErrorListener.ParseIssueType VALIDATION_ERROR

### VALIDATION_WARNING

public static final CustomErrorListener.ParseIssueType VALIDATION_WARNING

## Method Details

### values

public static CustomErrorListener.ParseIssueType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CustomErrorListener.ParseIssueType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getText

public String getText()
Obtain the user-friendly string representation of the enum value.

Returns:
  User-friendly string representation of the enum value.